# incendium-stubs

<!--- Badges --->
![GitHub last commit (stubs)](https://img.shields.io/github/last-commit/thecesrom/incendium-stubs/main)
[![GitHub contributors](https://img.shields.io/github/contributors/thecesrom/incendium-stubs)](https://github.com/ignition-incendium/incendium-stubs/graphs/contributors)
[![Downloads](https://pepy.tech/badge/incendium-stubs)](https://pepy.tech/project/incendium-stubs)
[![pre-commit.ci status](https://results.pre-commit.ci/badge/github/ignition-incendium/stubs/main.svg)](https://results.pre-commit.ci/latest/github/ignition-incendium/stubs/main)
[![Join us on GitHub discussions](https://img.shields.io/badge/github-discussions-informational)](https://github.com/ignition-incendium/incendium/discussions)

This package contains a collection of [stubs](https://www.python.org/dev/peps/pep-484/) for [`ignition-incendium/incendium`](https://github.com/ignition-incendium/incendium). These files were generated using `mypy`'s [`stubgen`](https://coatl-mypy.readthedocs.io/en/v0.971/stubgen.html).

## Installation and usage

To use `incendium-stubs`, you may install it with `pip`. It requires Python 3.7 through 3.11.

```sh
python -m pip install incendium-stubs
```

To run `mypy` against your code, execute the following command passing the source directory (typically `src`) or a single file:

```sh
mypy src
```

Or

```sh
mypy code.py
```

## Contributing

See [CONTRIBUTING.md](https://github.com/ignition-incendium/incendium/blob/HEAD/CONTRIBUTING.md#contributing-to-incendium).

## Discussions

Feel free to post your questions and/or ideas at [Discussions](https://github.com/ignition-incendium/icendium/discussions).

## Contributors

Thanks to everyone who has contributed to this project.

Up-to-date list of contributors can be found [here](https://github.com/ignition-incendium/incendium-stubs/graphs/contributors).

## License

See the [LICENSE](https://github.com/ignition-incendium/incendium-stubs/blob/HEAD/LICENSE).

## Code of conduct

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).
